@charset "utf-8";

body {
	font-family: 'Coda';
	padding: 0px;
	margin: 0px;
	background: #ebeeef;
}

#page-container {
	position: relative;
	min-height: 20vh;
  }
  
#content-wrap {
	padding-bottom: 400px;    /* Footer height */
}

.a-default {
	color: #333;
	text-decoration: none;
}

.a-default:hover {
    text-decoration: underline;
    cursor: pointer;
}

.a-fb {
	text-decoration: none;
	border-radius: 5px;
	text-align: center;
	cursor: pointer;
}

.a-tw {
	text-decoration: none;
}

.a-twitch {
	text-decoration: none;
}

.twitch-button-container {
	padding: 10px;
	color: #fff;
	border-radius: 5px;
	background: #9147ff;
}

.twitch-button-container:hover {
	background: #772ce8;
}

.fb-button-container {
	padding: 10px;
	color: #fff;
	border-radius: 5px;
	background: #3d6ad6;
}

.fb-button-container:hover {
	background: #1D3C78;
}

.tw-button-container {
	padding: 10px;
	color: #fff;
	border-radius: 5px;
	background: #1da1ff;
	display: flex;
	align-items: center;
	justify-content: center;
}

.tw-button-logo {
	flex-basis: 0%;
	padding-top: 5px;
}

.tw-button-text {
	padding-left: 20px;
}

.tw-button-container:hover {
	background: #1a90da;
}

.profile-card{
	height: 130px;
	width: max-content;
	padding: 10px;
	border-radius: 5px;
	background: #1da1ff;
	display: flex;
	align-items: center;
}

.profile-info{
	display: inline-block;
	padding: 10px;
	justify-content: left;
}

.profile-username{
	display: inline-block;
	padding: 10px;
	color: #fff;
}

.profile-picture-picture{
	height: 100px;
	width: 100px;
	border-radius: 50%;
	padding: 10px;
}

.loading-overlay {
	display: none;
	background: rgba( 26, 26, 26, 0.7 );
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 5;
	top: 0;
}

.loading-overlay-image-container {
	display: none;
	position: fixed;
	z-index: 7;
	top: 50%;
	left: 50%;
	transform: translate( -50%, -50% );
}

.loading-overlay-img {
	width: 50px;
	height: 50px;
	border-radius: 5px;
}

.import-blocklist {
	border: 1px solid #dedede;
	border-radius: 5px;
	padding: 8px;
	width: 100%;
	box-sizing: border-box;
	display: flex;
	align-items: center;
}

@media screen and ( min-width: 800px ) { /* desktop */
	.pc-only {
		display: block;
	}

	.mobile-only {
		display: none;
	}
}

@media screen and ( max-width: 800px ) { /* mobile */
	.pc-only {
		display: none;
	}

	.mobile-only {
		display: block;
	}
}